Get work skills
/rest/ofscMetadata/v1/workSkills
Request
-
limit: integer
The number of work skills to be returned in the response. The minimum value that can be specified is 1 and the maximum value that can be specified is 100. If the specified value is greater than 100, zero, or if no value is specified, then it defaults to 100.
-
offset: integer
The number of work skills to be skipped in the response. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.
Response
- application/json
- application/schema+json
200 Response
object-
hasMore:
boolean
Contains one of the following values: true or false.
If true, then there are more results that can be retrieved with successive paging requests.
If false or if the value is not present, then there are no more results or this is the final page. The default value is true.
-
items:
array items
The collection of work skills. It is not returned for an empty collection.
-
limit:
integer
The limit value specified in the request. If the value is not specified in the request or if the specified value is not accepted, then it defaults to 100.
-
offset:
integer
The offset value specified in the request.
-
totalResults:
integer
The total number of the non-working reason records in the collection.
array-
Array of:
object Work Skills
Title:
Work Skills
objectWork Skills-
active(required):
boolean
Title:
ActiveContains one of the following values: true or false.If true, then the work skill is active. If false, then the work skill is inactive. By default, it is true.
-
label:
string
Title:
LabelMinimum Length:1Maximum Length:40The label of the work skill specified in the request. -
name:
string
Title:
NameThe name of the work skill in user's language. -
sharing(required):
string
Title:
SharingAllowed Values:[ "no sharing", "maximal", "minimal", "summary" ]The sharing option defined for work skills in the team.The allowed values are as follows:
- Maximal: The team gets the maximum work skill level of all team members. This is the default value.
- Minimal: The team gets the minimal work skill level of all team members.
- No sharing: The team does not get the work skill of a team member.
- Summary: The team gets the total sum of work skill levels of all the team members.
-
translations:
array Translations
Title:
TranslationsThe list of translations associated with the name of the work skill.
arrayTranslationsobject-
language(required):
string
The language code of the translated text. The code in the response is two characters long (for example, 'en', 'es').
See Supported Language Codes to view the values that are supported.
-
languageISO:
string
The ISO language code (for example, 'en-US').
-
name(required):
string
The specified name of the property translated to the language code available in the system.
Default Response
object-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to get a collection of work skills by submitting a GET request on the REST resource using cURL.
Example of Request Header
The following shows an example of the request header.
GET /rest/ofscMetadata/v1/workSkills/?limit=5&offset=2 HTTP/1.1 Host: <instance_name>.fs.ocs.oraclecloud.com Authorization: Basic c29hcEBwZXRyb2xpYXNoZXZ5Y2gucmVzdDox Accept: */*
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 200 OK Server: nginx Date: Thu, 03 Mar 2016 16:28:18 GMT Content-Type: application/json; charset=utf-8 Connection: close
Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"hasMore": true,
"totalResults": 19,
"limit": 2,
"offset": 2,
"items": [
{
"label": "UP",
"name": "Upgrade",
"active": true,
"sharing": "maximal",
"translations": [
{
"language":"en",
"name": "Upgrade"
},
{
"language":"es",
"name": "Upgrade"
},
{
"language":"ru",
"name": "\u041e\u0431\u043d\u043e\u0432\u043b\u0435\u043d\u0438\u0435"
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/workSkills/UP"
},
{
"rel": "workSkillConditions",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/workSkills/UP/workSkillConditions"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/metadata-catalog/workSkills"
}
]
},
{
"label": "DI",
"active": true,
"sharing": "maximal",
"translations": [
{
"language":"en",
"name": "Deinstall"
},
{
"language":"es",
"name": "Deinstall"
},
{
"language":"ru",
"name": "\u0414\u0435\u043c\u043e\u043d\u0442\u0430\u0436"
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/workSkills/DI"
},
{
"rel": "workSkillConditions",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/workSkills/DI/workSkillConditions"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/metadata-catalog/workSkills"
}
]
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/workSkills?limit=2&offset=2"
},
{
"rel": "prev",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/workSkills/?limit=2&offset=0"
},
{
"rel": "next",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/workSkills/?limit=2&offset=4"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/metadata-catalog/workSkills"
}
]
}